Skip to main content
POST
/
v1
/
machines
/
{id}
/
git
/
commit
Create a commit
import requests

url = "https://api.13-215-85-171.sslip.io/v1/machines/{id}/git/commit"

payload = {
    "path": "<string>",
    "message": "<string>"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
{
  "sha": "<string>"
}

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Path Parameters

id
string
required

Machine ID (e.g. mch_a1b2c3d4)

Body

application/json
path
string
required
message
string
required
add_all
boolean
default:false
files
string[]
author_name
string
author_email
string

Response

200 - application/json

New commit

sha
string
required